Package com.smartgwt.client.util

# Class AsyncDataBoundOperationContext

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationContext
com.smartgwt.client.util.AsyncDataBoundOperationContext

All Implemented Interfaces:
  `HasHandlers`

public class AsyncDataBoundOperationContext extends AsyncOperationContext
Context for an asynchronous data-bound operation.

See Also:
  - `AsyncDataBoundOperationParams`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncDataBoundOperationContext()`
  `AsyncDataBoundOperationContext(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBoundComponent`
  `getComponent()`
  `DataSource`
  `getDataSource()`
  `static AsyncDataBoundOperationContext`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AsyncDataBoundOperationContext`
  `setComponent(DataBoundComponent component)`
  `AsyncDataBoundOperationContext`
  `setDataSource(DataSource dataSource)`

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationContext

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncDataBoundOperationContext

    public AsyncDataBoundOperationContext()

  - ### AsyncDataBoundOperationContext

    public AsyncDataBoundOperationContext(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AsyncDataBoundOperationContext getOrCreateRef(JavaScriptObject jsObj)

  - ### setComponent

    public AsyncDataBoundOperationContext setComponent(DataBoundComponent component)
    Parameters:
      `component` - New component value. Default value is *initialized by the implementation*
    Returns:
      `AsyncDataBoundOperationContext` instance, for chaining setter calls

  - ### getComponent

    public DataBoundComponent getComponent()
    Returns:
      Current component value. Default value is *initialized by the implementation*

  - ### setDataSource

    public AsyncDataBoundOperationContext setDataSource(DataSource dataSource)
    Parameters:
      `dataSource` - New dataSource value. Default value is *initialized by the implementation*
    Returns:
      `AsyncDataBoundOperationContext` instance, for chaining setter calls

  - ### getDataSource

    public DataSource getDataSource()
    Returns:
      Current dataSource value. Default value is *initialized by the implementation*